<div class="main-content">
  <div class="card serv-list-card">
      <!-- <p>{{myOrganisation | json}}</p> -->
      <!-- Organistaion Check & Presentation -->
      <div id="serviceHeader">
        <div *ngIf="organisation; else showRegInfo">
          <h5 class="card-title">{{organisation?.name}} - registrerade tjänster</h5>
        </div>

        <div class="table-responsive-sm">
          <table class="table table-striped" *ngIf="organisation?.currentUserEditAccess; else notMemberYet">
            <colgroup>
              <col width="5%">
              <col width="30%">
              <col width="40%">
              <col width="10%" class="published">
              <col width="10%">
            </colgroup>
            <thead>
            <tr>
              <th scope="col"></th>
              <th scope="col">Namn</th>
              <th scope="col" class="category">Kategori</th>
              <th scope="col" class="published" title="Är tjänsten publicerad på jobstore">Publicerad</th>
              <th scope="col"></th>
            </tr>
            </thead>
            <tfoot class="mt-5">
            <tr>
              <!-- <td colspan="4" class="filler-col">&nbsp;</td> -->
              <!-- <td class="not-on-mobile">&nbsp;</td> -->
              <td class="filler-col"></td>
              <td class="filler-col"></td>
              <td></td>
              <td></td>
              <td>
                <button type="button" class="btn btn-primary" data-cy="addNewService" (click)="onAddNew()">+ Lägg till
                </button>
              </td>
            </tr>
            </tfoot>
            <tbody>
            <tr *ngFor="let registration of organisation.services">
              <td><img [src]="'https://www.google.com/s2/favicons?domain_url='+doEncodeURI(registration.homepage)"
                       alt="logo"></td>
              <th scope="row"><a class="service_link" href="/service/{{registration.identifier}}" target="_">{{ registration.name }}</a></th>
              <td class="category">{{ registration?.categories.join(', ') }}</td>
              <td class="published">
                <i [class]="registration.published ? 'pub-toggl fas fa-toggle-on' : 'pub-toggl fas fa-toggle-off'"
                   (click)="togglePublish(registration)"
                   [title]="registration.published?'Den är publicerad':'Den är inte publicerad'"></i>
              </td>
              <td>
                <a (click)="onEdit(registration.identifier)">
                  <img class="edit-serv" src="../../../../assets/images/wrench.svg" alt="">
                </a>
              </td>
            </tr>
            </tbody>
          </table>
        </div>

        <!-- Presents user to register an organisation if it has none -->
        <ng-template #showRegInfo>
          <h4>Skapa först en organisation</h4>
        </ng-template>
        <ng-template #notMemberYet>
          <h4>Din meddlemsförfrågan i organisationen är ännu inte accepterad</h4>
        </ng-template>
      </div>
  </div>
</div>

<ng-template #loading>...</ng-template>
